/** @page glossary Glossary
 *
 * The field of engine management has many technical terms and acronyms. This
 * page exists to help make sense of them for the uninitiated who want to come
 * up to speed as quickly as possible.
 *
 * @b Acronyms @b and @b Abbreviations:
 * - AAP - Absolute Atmospheric Pressure
 * - ADC - Analog to Digital Converter
 * - AFR - Air Fuel Ratio
 * - Asm - Assembly Code
 * - ATD - Analog To Digital
 * - BDM - Background Debug Module
 * - BPW - Base Pulse Width
 * - BRV - Battery Reference Voltage
 * - CAN - Controller Area Network
 * - CAS - Cam Angle Sensor
 * - CHT - Coolant/Head Temperature
 * - CLT - CooLant Temperature
 * - CNP - Coil Near Plug
 * - COP - Computer Operating Properly
 * - COP - Coil On Plug
 * - EGO - Exhaust Gas Oxygen
 * - ECT - Enhanced Capture Timer
 * - EFI - Electronic Fuel Injection
 * - EMS - Engine Management System
 * - ERT - Engine Reference Temperature
 * - ETE - Engine Temperature Enrichment
 * - GCC - GNU C Compiler
 * - GPL - GNU Public License
 * - GNU - GNU's Not Unix
 * - IAP - Intercooler Absolute Pressure
 * - IAT - Intake Air Temperature
 * - IDT - Injector Dead Time
 * - ISR - Interrupt Service Routine
 * - MAF - Mass Air Flow
 * - MAP - Manifold Absolute Pressure
 * - MAT - Manifold Air Temperature
 * - OO - Object Oriented
 * - PIT - Precision Interrupt Timer??
 * - PW - Pulse Width
 * - PWM - Pulse Width Modulation
 * - RAM - Random Access Memory
 * - ROM - Read Only Memory
 * - RPM - Revolutions Per Minute
 * - RTC - Real Time Clock
 * - RTI - Real Time Interrupt
 * - RX - Receive/Reception
 * - SCI - Serial Communication Interface
 * - SPI - Serial Peripheral Interface
 * - TFC - Transient Fuel Correction
 * - TPS - Throttle Position Sensor
 * - TX - Transmit/Transmission
 * - VE - Volumetric Efficiency
 * - WBO2 - Wide Band Oxygen
 *
 * @b Terminology:
 * - Function - A block of code with a name, optional input and optional output.
 * - Method - An alternative OO name for a function.
 * - Void - Indicates that no input or output is required or will be given.
 * - Stack - An area of memory where code is stored that grows as it is run.
 * - Dwell - The time current is applied to a coil terminated by the spark event.
 * - Lambda - Ratio of air fuel ratio that is independent of fuel type.
 * - Stoichiometric - The ratio of fuel to air with none of either left over after combustion.
 * - Bit Bang - To turn a pin on and off manually from the code, not hardware.
 * - Polling - To read the state of a pin manually from the code, not hardware.
 */

/**	@file glossary.h
 * @ingroup doxygenDocFiles
 * @brief Glossary and acronym explanations
 */
